Name:           python-execnet
Version:        1.5.0
Release:        7
Summary:        Rapid multi-Python deployment
License:        MIT and GPLv2+
URL:            http://codespeak.net/execnet
Source0:        https://pypi.io/packages/source/e/execnet/execnet-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  procps-ng
Patch0001:      0001-fix-asserterror-for-testcase.patch
Patch0002:      0001-Fix-random-test-failure.patch
Patch0003:      0001-stall-some-loops-in-test_gateway-a-little-bit-to-pre.patch
%description
execnet provides carefully tested means to ad-hoc interact with Python interpreters across version,
platform and network barriers. It provides a minimal and fast API targetting the following uses:
distribute tasks to local or remote processes
write and deploy hybrid multi-process applications
write scripts to administer multiple hosts

%package   -n   python2-execnet
Summary:        Rapid multi-Python deployment
BuildRequires:  python2-apipkg python2-devel python2-gevent >= 1.0
BuildRequires:  python2-pytest python2-setuptools python2-setuptools_scm python2-sphinx
Requires:       python2-setuptools python2-apipkg
%{?python_provide:%python_provide python2-execnet}

%description -n python2-execnet
execnet provides carefully tested means to ad-hoc interact with Python interpreters across version,
platform and network barriers. It provides a minimal and fast API targetting the following uses:
distribute tasks to local or remote processes
write and deploy hybrid multi-process applications
write scripts to administer multiple hosts

%package   -n   python3-execnet
Summary:        Rapid multi-Python deployment
BuildRequires:  python3-apipkg python3-devel python3-pytest python3-setuptools
BuildRequires:  python3-setuptools_scm python3-sphinx
Requires:       python3-setuptools python3-apipkg
%{?python_provide:%python_provide python3-execnet}

%description -n python3-execnet
execnet provides carefully tested means to ad-hoc interact with Python interpreters across version,
platform and network barriers. It provides a minimal and fast API targetting the following uses:
distribute tasks to local or remote processes
write and deploy hybrid multi-process applications
write scripts to administer multiple hosts

%prep
%autosetup -c execnet-%{version} -p1

mv execnet-%{version} python2
cd python2
find . -type f -a \( -name '*.py' -o -name 'py.*' \) \
   -exec sed -i '1{/^#!/d}' {} \; \
   -exec chmod 644 {} \;
cd -
cp -a python2 python3

%build
SETUPTOOLS_SCM_PRETEND_VERSION=%{version}

cd python2
%py2_build
make -C doc html PYTHONPATH=$(pwd) SPHINXBUILD=sphinx-build-2
cd -

cd python3
%py3_build
make -C doc html PYTHONPATH=$(pwd) SPHINXBUILD=sphinx-build-3
cd -

%install
SETUPTOOLS_SCM_PRETEND_VERSION=%{version}

cd python2
%py2_install
rm -f doc/_build/html/.buildinfo
cd -

cd python3
%py3_install
rm -f doc/_build/html/.buildinfo
cd -

%check
cd python2
PYTHONPATH=$(pwd) LC_ALL="en_US.UTF-8" py.test-%{python2_version} -r s -k 'not test_stdouterrin_setnull' testing
cd -

cd python3
PYTHONPATH=$(pwd) LC_ALL="en_US.UTF-8" py.test-%{python3_version} -r s -k 'not test_stdouterrin_setnull' testing
cd -

%files -n python2-execnet
%license python2/LICENSE
%doc python2/*.rst
%doc python2/doc/_build/html
%{python2_sitelib}/execnet*

%files -n python3-execnet
%license python3/LICENSE
%doc python3/*.rst
%doc python3/doc/_build/html
%{python3_sitelib}/execnet*

%changelog
* Mon Dec 06 2021 sunguoshuai<sunguoshuai@huawei.com> - 1.5.0-7
- Del builddeps to python2-eventlet

* Fri Jul 17 2020 wangxiao<wangxiao65@huawei.com> - 1.5.0-6
- Fix asserterror for testcase.

* Wed Mar 4 2020 zhouyihang<zhouyihang1@huawei.com> - 1.5.0-5
- Pakcage init
